notcurses-demo(1)

NAME
notcurses-demo - Show off some notcurses features

SYNOPSIS
notcurses-demo [ -p path ] [ -d delaymult ] [ -k ] [ -h / --help ] demospec

OPTIONS

-ppath
    Look in the specified path for data files.

-ddelaymult
    Apply a (floating-point) multiplier to the standard delay of 1s.

-k  Inhibit use of the alternate screen. Necessary if you want the output left on your terminal after the program exits.

-h, --help
    Print a usage message, and exit with success.

demospec
    Select which demos to run, and what order to run them in. The default is "imlubgswvpo". See below for a list of demos.

DESCRIPTION
notcurses-demo contains a set of text-based demonstrations of capabilities from the notcurses library. The demonstrations include:

(i)ntro—a setting of tone

(e)agle—zoom in on a background from Ninja Gaiden

(m)axcolors—smoothly changing colors

(l)uigi-a dashing plumber of Apennine persuasion

(u)niblocks—a series of blocks detailing Unicode pages

(b)oxes—pulsating boxes with a transparent center

(g)rid—a gradient of color lain atop a great grid

(s)liders—a missing-piece puzzle made up of colorful blocks

(w)idechomper—a gremlin feasts upon wide characters

(v)iew—images and a video are rendered as text

(p)anelreels—demonstration of the panelreel high-level widget

(o)utro—a message of hope from the library's author

NOTES
Proper display requires a terminal advertising the RGB terminfo(5) capability (necessary for specification of arbitrary 24bpp colors), and a monospaced font with good Unicode support.

SEE ALSO
notcurses(3notcurses), ncurses(3ncurses), terminfo(5)